"use strict";

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

svg4everybody();

(function (ELEMENT) {
  ELEMENT.matches = ELEMENT.matches || ELEMENT.mozMatchesSelector || ELEMENT.msMatchesSelector || ELEMENT.oMatchesSelector || ELEMENT.webkitMatchesSelector;

  ELEMENT.closest = ELEMENT.closest || function closest(selector) {
    if (!this) return null;
    if (this.matches(selector)) return this;

    if (!this.parentElement) {
      return null;
    } else return this.parentElement.closest(selector);
  };
})(Element.prototype);

var setCookie = function setCookie(name, value, days) {
  var expires = '';

  if (days) {
    var date = new Date();
    date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
    expires = '; expires=' + date.toUTCString();
  }

  document.cookie = name + '=' + (value || '') + expires + '; path=/';
};

var getCookie = function getCookie(name) {
  var nameEQ = name + '=';
  var ca = document.cookie.split(';');

  for (var i = 0; i < ca.length; i++) {
    var c = ca[i];

    while (c.charAt(0) === ' ') {
      c = c.substring(1, c.length);
    }

    if (c.indexOf(nameEQ) === 0) return c.substring(nameEQ.length, c.length);
  }

  return null;
};

var Btns = /*#__PURE__*/function () {
  function Btns(selector) {
    _classCallCheck(this, Btns);

    this.btns = $(selector);
    this.sendAnalitic = this.sendAnalitic.bind(this);
    if (this.btns) this.btns.on('click', this.sendAnalitic);
  }

  _createClass(Btns, [{
    key: "sendAnalitic",
    value: function sendAnalitic() {
      var _rutarget = window._rutarget || [];

      _rutarget.push({
        event: 'thankYou',
        conv_id: 'instr'
      });
    }
  }]);

  return Btns;
}();

var InstructionBtns = function InstructionBtns() {
  _classCallCheck(this, InstructionBtns);

  new Btns('.scope .button');
  new Btns('.intim-scope .button');
  new Btns('.rany-scope .button');
  new Btns('.tattoo-scope .button');
  new Btns('.stomatology-scope .button');
};

new InstructionBtns();

var Label = /*#__PURE__*/function () {
  function Label(button) {
    _classCallCheck(this, Label);

    this.state = {
      button: button
    };
    this.init();
  }

  _createClass(Label, [{
    key: "init",
    value: function init() {
      var self = this;
      self.state.button.on('click', function () {
        return self.onClose();
      });

      if (getCookie('info') === 'true') {
        self.state.button.closest('.label').addClass('hide');
      }
    }
  }, {
    key: "onClose",
    value: function onClose() {
      var self = this;
      self.state.button.closest('.label').addClass('hide');
      setCookie('info', 'true', 10);
    }
  }]);

  return Label;
}();

var closeLabel = $('._js-close-label');

if (closeLabel) {
  new Label(closeLabel);
}

var Video = /*#__PURE__*/function () {
  function Video(video, player) {
    _classCallCheck(this, Video);

    this.state = {
      video: video,
      player: player,
      playButton: document.querySelector('._js-play-video')
    };
    this.init();
  }

  _createClass(Video, [{
    key: "init",
    value: function init() {
      var self = this;

      if (self.state.playButton) {
        self.state.playButton.onclick = function () {
          var _rutarget = window._rutarget || [];

          _rutarget.push({
            event: 'thankYou',
            conv_id: 'video'
          });

          self.playVideo();
        };
      }
    }
  }, {
    key: "stopVideo",
    value: function stopVideo() {
      this.state.player.stopVideo();
    }
  }, {
    key: "playVideo",
    value: function playVideo() {
      switch (document.body.className) {
        case 'home':
          this.state.playButton.closest('.video').classList.add('play');
          break;

        case 'intim':
          this.state.playButton.closest('.intim-video').classList.add('play');
          break;

        case 'rany':
          this.state.playButton.closest('.rany-video').classList.add('play');
          break;

        case 'tattoo':
          this.state.playButton.closest('.tattoo-video').classList.add('play');
          break;
      }

      this.state.player.playVideo();
    }
  }]);

  return Video;
}();

var video = document.querySelector('._js-video');
var playerEl;

if (playerEl && playerEl.destroy) {
  playerEl.destroy();
}

if (video) {
  var tag = document.createElement('script');
  tag.src = 'https://www.youtube.com/iframe_api';
  var firstScriptTag = document.getElementsByTagName('script')[0];
  firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
}

function onYouTubeIframeAPIReady() {
  switch (document.body.className) {
    case 'home':
      playerEl = new YT.Player('player', {
        height: '360',
        width: '640',
        videoId: 'guQomWrV3hM'
      });
      break;

    case 'intim':
      playerEl = new YT.Player('player', {
        height: '360',
        width: '640',
        videoId: 'Xr1G-xULRTc'
      });
      break;

    case 'rany':
      playerEl = new YT.Player('player', {
        height: '360',
        width: '640',
        videoId: 'LuK__XrqGL8'
      });
      break;

    case 'tattoo':
      playerEl = new YT.Player('player', {
        height: '360',
        width: '640',
        videoId: 'fBZoHF92_cY'
      });
  }

  new Video(video, playerEl);
}

var Slider = /*#__PURE__*/function () {
  function Slider(slider) {
    _classCallCheck(this, Slider);

    this.state = slider;
    this.init();
  }

  _createClass(Slider, [{
    key: "init",
    value: function init() {
      var self = this;

      if (jQuery && jQuery.fn.slick && self.state.slider && self.state.options) {
        jQuery(self.state.slider).slick(self.state.options);
      }
    }
  }]);

  return Slider;
}();

var sliderScope = {
  slider: document.querySelector('._js-slider-scope'),
  options: {
    arrows: true,
    dots: true,
    infinite: true
  }
};

if (sliderScope.slider) {
  new Slider(sliderScope);
}

var viewPortHeight = document.documentElement.clientHeight;
var delta = 0.375;
var scrollRatio = 1.2;
/* Animations of Index page */

/* ------------------------ */

if (document.body.classList.contains('home')) {
  /* Paralax animation of balls */
  var bgImageDesk = document.querySelector('.bg-image_desktop');
  var bgImageMob = document.querySelector('.bg-image_mobile');
  window.addEventListener('scroll', function () {
    document.documentElement.clientWidth > 768 ? bgImageDesk.style.top = "-".concat(pageYOffset * delta, "px") : bgImageMob.style.top = "-".concat(pageYOffset * delta, "px");
  });
  /* Paralax animation of another elements */

  var elementClasses = ['.entry .icon-2', '.advantages .icon-1', '.scope .icon-1', '.forms .icon-1', '.forms .icon-2'];
  var elementsList = elementClasses.map(function (elementClass) {
    return document.querySelector(elementClass);
  });
  window.addEventListener('scroll', function () {
    var items = elementsList.map(function (item) {
      return {
        element: item,
        top: item.getBoundingClientRect().top,
        bottom: item.getBoundingClientRect().bottom
      };
    });
    items.forEach(function (item, i) {
      if (item.top < viewPortHeight && item.bottom > 0) {
        if (i === 0) {
          item.element.style.transform = "translateY(".concat(pageYOffset * delta, "px)");
          return;
        }

        item.element.style.transform = "translateY(".concat((viewPortHeight - item.top) * delta, "px)");
      }
    });
  });
  /* Entry block animation */

  var entryHeader = document.querySelector('.entry__header');

  var showEntryHeader = function showEntryHeader() {
    return entryHeader.classList.add('entry__header_visible');
  };

  document.addEventListener('DOMContentLoaded', showEntryHeader);
  /* About block animation */

  var aboutItem = $('.item');
  var aboutItems = document.querySelector('.items');

  var showAboutItems = function showAboutItems() {
    var itemPos = aboutItems.getBoundingClientRect().top * scrollRatio;

    if (itemPos < viewPortHeight) {
      aboutItem.addClass('item_visible');
      window.removeEventListener('scroll', showAboutItems);
    }
  };

  window.addEventListener('scroll', showAboutItems);
  /* Advantages block animation */

  var advantagesItem = $('.advantages__list-item');
  var advantagesList = document.querySelector('.advantages__list');

  var showAdvantagesItems = function showAdvantagesItems() {
    var itemPos = advantagesList.getBoundingClientRect().top * scrollRatio;

    if (itemPos < viewPortHeight) {
      advantagesItem.addClass('advantages__list-item_visible');
      window.removeEventListener('scroll', showAdvantagesItems);
    }
  };

  window.addEventListener('scroll', showAdvantagesItems);
  /* Forms block animation */

  var form1Image = document.querySelector('.form-one__image');
  var form2Image = document.querySelector('.form-two__image');
  var form1 = document.querySelector('.form-one');
  var form2 = document.querySelector('.form-two');

  var showFormsImages = function showFormsImages() {
    var form1Pos = form1.getBoundingClientRect().top * scrollRatio;
    var form2Pos = form2.getBoundingClientRect().top * scrollRatio;

    if (document.documentElement.clientWidth < 1200) {
      if (form1Pos < viewPortHeight) form1Image.classList.add('form-one__image_visible');

      if (form2Pos < viewPortHeight) {
        form2Image.classList.add('form-two__image_visible');
        window.removeEventListener('scroll', showFormsImages);
      }

      return;
    }

    if (form1Pos < viewPortHeight) {
      form1Image.classList.add('form-one__image_visible');
      form2Image.classList.add('form-two__image_visible');
      window.removeEventListener('scroll', showFormsImages);
    }
  };

  window.addEventListener('scroll', showFormsImages);
}
/* Animations of Intim page */

/* ------------------------ */


if (document.body.classList.contains('intim')) {
  /* Paralax animation of background elements */
  var bgBalls = document.querySelector('.intim-background__balls');
  window.addEventListener('scroll', function () {
    bgBalls.style.top = "".concat(pageYOffset * delta, "px");
  });
  /* Chair animation */

  var chair = document.querySelector('.intim-about__chair');

  var animateChair = function animateChair() {
    var topPos = chair.getBoundingClientRect().top;
    var bottomPos = chair.getBoundingClientRect().bottom;

    if (topPos < viewPortHeight && bottomPos > 0) {
      chair.style.transform = "translateY(".concat((viewPortHeight - topPos) * delta, "px)");
    }
  };

  window.addEventListener('scroll', animateChair);
  /* Plant animation */

  var plant = document.querySelector('.intim-scope__plant');

  var animatePlant = function animatePlant() {
    var topPos = plant.getBoundingClientRect().top;
    var bottomPos = plant.getBoundingClientRect().bottom;

    if (topPos < viewPortHeight && bottomPos > 0) {
      plant.style.transform = "translateY(".concat((viewPortHeight - topPos) * delta, "px)");
    }
  };

  window.addEventListener('scroll', animatePlant);
  /* Entry block animation */

  var _entryHeader = document.querySelector('.intim-entry__header');

  var _showEntryHeader = function _showEntryHeader() {
    return _entryHeader.classList.add('intim-entry__header_visible');
  };

  document.addEventListener('DOMContentLoaded', _showEntryHeader);
  /* Advantages block animation */

  var _advantagesItem = $('.intim-advantages__list-item');

  var _advantagesList = document.querySelector('.intim-advantages__list');

  var _showAdvantagesItems = function _showAdvantagesItems() {
    var itemPos = _advantagesList.getBoundingClientRect().top * scrollRatio;

    if (itemPos < viewPortHeight) {
      _advantagesItem.addClass('intim-advantages__list-item_visible');

      window.removeEventListener('scroll', _showAdvantagesItems);
    }
  };

  window.addEventListener('scroll', _showAdvantagesItems);
  /* Forms block animation */

  var _form1Image = document.querySelector('.intim-forms__image_1');

  var _form2Image = document.querySelector('.intim-forms__image_2');

  var _form = document.querySelectorAll('.intim-forms__inner-form')[0];
  var _form2 = document.querySelectorAll('.intim-forms__inner-form')[1];

  var _showFormsImages = function _showFormsImages() {
    var form1Pos = _form.getBoundingClientRect().top * scrollRatio;
    var form2Pos = _form2.getBoundingClientRect().top * scrollRatio;
    if (form1Pos < viewPortHeight) _form1Image.classList.add('intim-forms__image_visible');

    if (form2Pos < viewPortHeight) {
      _form2Image.classList.add('intim-forms__image_visible');

      window.removeEventListener('scroll', _showFormsImages);
    }
  };

  window.addEventListener('scroll', _showFormsImages);
}
/* Animations of Rany page */

/* ----------------------- */


if (document.body.classList.contains('rany')) {
  /* Paralax animation of balls */
  var _bgImageDesk = document.querySelector('.bg-image_desktop');

  var _bgImageMob = document.querySelector('.bg-image_mobile');

  window.addEventListener('scroll', function () {
    document.documentElement.clientWidth > 768 ? _bgImageDesk.style.top = "-".concat(pageYOffset * delta, "px") : _bgImageMob.style.top = "-".concat(pageYOffset * delta, "px");
  });
  /* Paralax animation of another elements */

  var _elementClasses = ['.rany-entry__ball_green', '.rany-entry__ball_pink', '.rany-entry__test', '.rany-entry__vr', '.rany-advantages__plane', '.rany-scope .icon-1', '.forms .icon-1', '.forms .icon-2'];

  var _elementsList = _elementClasses.map(function (elementClass) {
    return document.querySelector(elementClass);
  });

  window.addEventListener('scroll', function () {
    var items = _elementsList.map(function (item) {
      return {
        element: item,
        top: item.getBoundingClientRect().top,
        bottom: item.getBoundingClientRect().bottom
      };
    });

    items.forEach(function (item, i) {
      if (item.top < viewPortHeight && item.bottom > 0) {
        if (i < 3) {
          item.element.style.transform = "translateY(".concat(pageYOffset * delta, "px)");
          return;
        }

        item.element.style.transform = "translateY(".concat((viewPortHeight - item.top) * delta, "px)");
      }
    });
  });
  /* Entry block animation */

  var _entryHeader2 = document.querySelector('.rany-entry__header-text');

  var _showEntryHeader2 = function _showEntryHeader2() {
    return _entryHeader2.classList.add('rany-entry__header-text_visible');
  };

  document.addEventListener('DOMContentLoaded', _showEntryHeader2);
  /* Advantages block animation */

  var _advantagesItem2 = $('.rany-advantages__list-item');

  var _advantagesList2 = document.querySelector('.rany-advantages__list');

  var _showAdvantagesItems2 = function _showAdvantagesItems2() {
    var itemPos = _advantagesList2.getBoundingClientRect().top * scrollRatio;

    if (itemPos < viewPortHeight) {
      _advantagesItem2.addClass('rany-advantages__list-item_visible');

      window.removeEventListener('scroll', _showAdvantagesItems2);
    }
  };

  window.addEventListener('scroll', _showAdvantagesItems2);
  /* Forms block animation */

  var _form1Image2 = document.querySelector('.form-one__image');

  var _form2Image2 = document.querySelector('.form-two__image');

  var _form3 = document.querySelector('.form-one');

  var _form4 = document.querySelector('.form-two');

  var _showFormsImages2 = function _showFormsImages2() {
    var form1Pos = _form3.getBoundingClientRect().top * scrollRatio;
    var form2Pos = _form4.getBoundingClientRect().top * scrollRatio;

    if (document.documentElement.clientWidth < 1200) {
      if (form1Pos < viewPortHeight) _form1Image2.classList.add('form-one__image_visible');

      if (form2Pos < viewPortHeight) {
        _form2Image2.classList.add('form-two__image_visible');

        window.removeEventListener('scroll', _showFormsImages2);
      }

      return;
    }

    if (form1Pos < viewPortHeight) {
      _form1Image2.classList.add('form-one__image_visible');

      _form2Image2.classList.add('form-two__image_visible');

      window.removeEventListener('scroll', _showFormsImages2);
    }
  };

  window.addEventListener('scroll', _showFormsImages2);
}
/* Animations of Tattoo page */

/* ------------------------- */


if (document.body.classList.contains('tattoo')) {
  /* Paralax animation of background elements */
  var _bgBalls = document.querySelector('.tattoo-background__balls');

  window.addEventListener('scroll', function () {
    _bgBalls.style.top = "".concat(pageYOffset * delta, "px");
  });
  /* Chair animation */

  var _chair = document.querySelector('.tattoo-advantages__chair');

  var _animateChair = function _animateChair() {
    var topPos = _chair.getBoundingClientRect().top;

    var bottomPos = _chair.getBoundingClientRect().bottom;

    if (topPos < viewPortHeight && bottomPos > 0) {
      _chair.style.transform = "translateY(".concat((viewPortHeight - topPos) * delta, "px)");
    }
  };

  window.addEventListener('scroll', _animateChair);
  /* Plant animation */

  var _plant = document.querySelector('.tattoo-scope__plant');

  var _animatePlant = function _animatePlant() {
    var topPos = _plant.getBoundingClientRect().top;

    var bottomPos = _plant.getBoundingClientRect().bottom;

    if (topPos < viewPortHeight && bottomPos > 0) {
      _plant.style.transform = "translateY(".concat((viewPortHeight - topPos) * delta, "px)");
    }
  };

  window.addEventListener('scroll', _animatePlant);
  /* Entry block animation */

  var _entryHeader3 = document.querySelector('.tattoo-entry__header');

  var _showEntryHeader3 = function _showEntryHeader3() {
    return _entryHeader3.classList.add('tattoo-entry__header_visible');
  };

  document.addEventListener('DOMContentLoaded', _showEntryHeader3);
  /* Advantages block animation */

  var _advantagesItem3 = $('.tattoo-advantages__list-item');

  var _advantagesList3 = document.querySelector('.tattoo-advantages__list');

  var _showAdvantagesItems3 = function _showAdvantagesItems3() {
    var itemPos = _advantagesList3.getBoundingClientRect().top * scrollRatio;

    if (itemPos < viewPortHeight) {
      _advantagesItem3.addClass('tattoo-advantages__list-item_visible');

      window.removeEventListener('scroll', _showAdvantagesItems3);
    }
  };

  window.addEventListener('scroll', _showAdvantagesItems3);
  /* Forms block animation */

  var _form1Image3 = document.querySelector('.tattoo-forms__image_1');

  var _form2Image3 = document.querySelector('.tattoo-forms__image_2');

  var _form5 = document.querySelectorAll('.tattoo-forms__inner-form')[0];
  var _form6 = document.querySelectorAll('.tattoo-forms__inner-form')[1];

  var _showFormsImages3 = function _showFormsImages3() {
    var form1Pos = _form5.getBoundingClientRect().top * scrollRatio;
    var form2Pos = _form6.getBoundingClientRect().top * scrollRatio;
    if (form1Pos < viewPortHeight) _form1Image3.classList.add('tattoo-forms__image_visible');

    if (form2Pos < viewPortHeight) {
      _form2Image3.classList.add('tattoo-forms__image_visible');

      window.removeEventListener('scroll', _showFormsImages3);
    }
  };

  window.addEventListener('scroll', _showFormsImages3);
}
/* Animations of Stomatology page */

/* ------------------------ */


if (document.body.classList.contains('stomatology')) {
  /* Paralax animation of balls */
  var _bgImageDesk2 = document.querySelector('.bg-image_desktop');

  var _bgImageMob2 = document.querySelector('.bg-image_mobile');

  window.addEventListener('scroll', function () {
    document.documentElement.clientWidth > 768 ? _bgImageDesk2.style.top = "-".concat(pageYOffset * delta, "px") : _bgImageMob2.style.top = "-".concat(pageYOffset * delta, "px");
  });
  /* Paralax animation of another elements */

  var _elementClasses2 = ['.stomatology-entry__teapot', '.stomatology-advantages .icon-1', '.stomatology-forms__teapot'];

  var _elementsList2 = _elementClasses2.map(function (elementClass) {
    return document.querySelector(elementClass);
  });

  window.addEventListener('scroll', function () {
    var items = _elementsList2.map(function (item) {
      return {
        element: item,
        top: item.getBoundingClientRect().top,
        bottom: item.getBoundingClientRect().bottom
      };
    });

    items.forEach(function (item, i) {
      if (item.top < viewPortHeight && item.bottom > 0) {
        if (i === 0) {
          item.element.style.transform = "translateY(".concat(pageYOffset * delta, "px)");
          return;
        }

        item.element.style.transform = "translateY(".concat((viewPortHeight - item.top) * delta, "px)");
      }
    });
  });
  /* Entry block animation */

  var _entryHeader4 = document.querySelector('.stomatology-entry__header');

  var _showEntryHeader4 = function _showEntryHeader4() {
    return _entryHeader4.classList.add('stomatology-entry__header_visible');
  };

  document.addEventListener('DOMContentLoaded', _showEntryHeader4);
  /* About block animation */

  var _aboutItem = $('.item');

  var _aboutItems = document.querySelector('.items');

  var _showAboutItems = function _showAboutItems() {
    var itemPos = _aboutItems.getBoundingClientRect().top * scrollRatio;

    if (itemPos < viewPortHeight) {
      _aboutItem.addClass('item_visible');

      window.removeEventListener('scroll', _showAboutItems);
    }
  };

  window.addEventListener('scroll', _showAboutItems);
  /* Advantages block animation */

  var _advantagesItem4 = $('.stomatology-advantages__list-item');

  var _advantagesList4 = document.querySelector('.stomatology-advantages__list');

  var _showAdvantagesItems4 = function _showAdvantagesItems4() {
    var itemPos = _advantagesList4.getBoundingClientRect().top * scrollRatio;

    if (itemPos < viewPortHeight) {
      _advantagesItem4.addClass('stomatology-advantages__list-item_visible');

      window.removeEventListener('scroll', _showAdvantagesItems4);
    }
  };

  window.addEventListener('scroll', _showAdvantagesItems4);
  /* Forms block animation */

  var _form1Image4 = document.querySelector('.form-one__image');

  var _form2Image4 = document.querySelector('.form-two__image');

  var _form7 = document.querySelector('.form-one');

  var _form8 = document.querySelector('.form-two');

  var _showFormsImages4 = function _showFormsImages4() {
    var form1Pos = _form7.getBoundingClientRect().top * scrollRatio;
    var form2Pos = _form8.getBoundingClientRect().top * scrollRatio;

    if (document.documentElement.clientWidth < 1200) {
      if (form1Pos < viewPortHeight) _form1Image4.classList.add('form-one__image_visible');

      if (form2Pos < viewPortHeight) {
        _form2Image4.classList.add('form-two__image_visible');

        window.removeEventListener('scroll', _showFormsImages4);
      }

      return;
    }

    if (form1Pos < viewPortHeight) {
      _form1Image4.classList.add('form-one__image_visible');

      _form2Image4.classList.add('form-two__image_visible');

      window.removeEventListener('scroll', _showFormsImages4);
    }
  };

  window.addEventListener('scroll', _showFormsImages4);
}
//# sourceMappingURL=main.js.map
